#
# spec file for package sedutil
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _dracutmodulesdir %{_prefix}/lib/dracut/modules.d
Name:           sedutil
Version:        1.20.0
Release:        2.4
Summary:        Tools to manage the activation and use of self encrypting drives
License:        GPL-3.0-or-later
Group:          System/Management
URL:            https://github.com/Drive-Trust-Alliance/sedutil/wiki
Source0:        https://github.com/Drive-Trust-Alliance/%{name}/archive/%{version}.tar.gz
Source1:        module-setup.sh
Source2:        linuxpba.sh
Source3:        sedutil-pba.pl
Patch0:         kernel_nvme_header.patch
Patch1:         Fix-build-with-GCC-13.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  ncurses-devel
ExclusiveArch:  x86_64

%description
sedutil is a Self-Encrypting Drive (SED) management program and
Pre-Boot Authorization (PBA) image that will allow the activation and
use of self encrypting drives that comply with the Trusted Computing
Group Opal 2.0 SSC.

This package provides the sedutil-cli and linuxpba binaries, but not
the PBA image itself.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

install -m 0755 -d %{buildroot}%{_dracutmodulesdir}/00sedutil/
install -m 0755 %{SOURCE1} %{buildroot}%{_dracutmodulesdir}/00sedutil/
install -m 0755 %{SOURCE2} %{buildroot}%{_dracutmodulesdir}/00sedutil/
install -m 0755 %{SOURCE3} %{buildroot}%{_sbindir}/

%files
%doc README.md Common/Copyright.txt Common/ReadMe.txt linux/PSIDRevert_LINUX.txt
%license Common/LICENSE.txt
%{_mandir}/man8/sedutil-cli.8%{?ext_man}
%{_sbindir}/sedutil-cli
%{_sbindir}/linuxpba
%dir %{_prefix}/lib/dracut
%dir %{_dracutmodulesdir}
%dir %{_dracutmodulesdir}/00sedutil/
%{_dracutmodulesdir}/00sedutil/module-setup.sh
%{_dracutmodulesdir}/00sedutil/linuxpba.sh
%{_sbindir}/sedutil-pba.pl

%changelog
* Tue Mar 28 2023 Michael Chang <mchang@suse.com>
- Fix GCC 13 build error
  * Fix-build-with-GCC-13.patch
* Sun Dec  4 2022 Dirk Müller <dmueller@suse.com>
- update to 1.20.0:
  * Bug fixes and Windows Ryzen Fix.
  * checkpoint: before new Identify.
  * Fix typos for PSID revert text
  * Fix PIN dump in --query output
  * Minor updates to linuxpba.
  * Disable acpi & apic for better compatibility.
  * Add cherry keyboard support.
* Wed Aug 19 2020 Callum Farmer <callumjfarmer13@gmail.com>
- Fixes for %%_libexecdir changing to /usr/libexec (bsc#1174075)
* Fri Sep 28 2018 Jan Engelhardt <jengelh@inai.de>
- Remove empty %%post/%%postun.
- Remove redundant marketing paragraph from description.
* Fri Sep 28 2018 mchang@suse.com
- Update source URL
* Mon Nov 20 2017 mchang@suse.com
- Initial version
